var identrc;
var timeout;
var reloaddata;
var loadPanel = $(".loadpanel").dxLoadPanel(
	{
		shadingColor: "rgba(0,0,0,0.4)",
		visible: false,
		showIndicator: true,
		showPane: true,
		shading: true,
		width: 300,        
		onShown: function() {
		    setTimeout(function() {
				loadPanel.hide();
				if(reloaddata == 1)
				{
					reloadrc();
				}
			}, timeout);
        },
		closeOnOutsideClick: false
	}).dxLoadPanel("instance");


function reloadrc()
{
	location.reload();
}

function startapprc()
{
	$.ajax(
	{
		url: pathcgi + "../cgi-bin/admin/vadpctrl.cgi?cmd=start&idx=" + identrc + "&drc=" + getStringNormalDate(new Date()) + localStorage.getItem("TOKEN"),
		success: function(data)
		{
			CheckTokenValidity(data);
			DevExpress.ui.notify("Application restarted", "success", 600);
			setTimeout(reloadrc, 1000);
		}
	});
}

async function reloadpage()
{
	if ((DEFINE_INTERFACE == "ZKTECO") || (DEFINE_INTERFACE == "VICON"))
	{
		await sleep(3000);
	}
	location.reload();
}

function set_rcpopup()
{
	if (DEFINE_INTERFACE == "ZKTECO")
	{
		//No cargamos traducciones ni header. 
		$("#htmlcentral").width(1800);
	}
	
	if (DEFINE_INTERFACE == "VICON")
	{
		var regiondefault = 3; //North America & Central
	}
	else
	{
		var regiondefault = 1; //Europe
	}

	var confCamera = executeCGI(computerid, "select|table=nlconfcamera|camp0=id|comp0=between|value0=0;3|maxvalues=100", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);

	if (confCamera.length < 2)
	{
		setTimeout(reloadpage, 5000);
		return;
	}
	
	if (confCamera[0].value == -1 || confCamera[1].value == "")
	{
		var confCountries = executeCGI(computerid, "select|table=nlcountry|maxvalues=250|sortasc=description", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);

		if(confCountries != "error")
		{
			if(confCountries.length > 0)
			{
				timeout = 0;
				reloaddata = 0;
				$("#popuprc").append("<div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("Region:") + "</div><div class='dx-field-value'><div id='regionrc'></div></div></div><div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("CountryState") + ":</div><div class='dx-field-value'><div id='countryrc'></div></div></div><div class='dx-field'><div class='dx-field-value'><div id='btsaverc'></div></div></div>");	
			}
			else
			{
				timeout = 10000;
				reloaddata = 1;
				$("#popuprc").append("<div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("Region:") + "</div><div class='dx-field-value'><div id='regionrc'></div></div></div><div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("CountryState") + ":</div><div class='dx-field-value'><div id='countryrc'></div></div></div><div class='dx-field'><div class='dx-field-value'><div id='btsaverc'></div></div></div>");
			}

			var countries;
			var countriesdsrc;
			var regions;

			identrc = executeCGI(computerid, "getident", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);

			regions = executeCGI(computerid, "select|table=nlregion|maxvalues=250", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);

			var regiondsrc = new DevExpress.data.DataSource(
			{
				store: regions,
				key: "id",
			});

			//update regiondefault and erase country selected...
			executeCGI(computerid, "update|table=nlconfcamera|camp0=id|value0=1|camp1=value|value1=" + regiondefault + "|camp2=computerid|value2=1|camp3=cameraid|value3=-1", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
			executeCGI(computerid, "update|table=nlconfcamera|camp0=id|value0=2|camp1=value|value1=|camp2=computerid|value2=" + computerid + "|camp3=cameraid|value3=-1", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
			
			$("#regionrc").dxSelectBox(
			{
				dataSource: regiondsrc,
				valueExpr: "id",
				searchEnabled: true,
				value: regiondefault,
				displayExpr: "description",
				onValueChanged: function(e)
				{
					var previousValue = e.previousValue;
					var newValue = e.value;

					var countriesOfRegion = executeCGI(computerid, "select|table=nlcountry|comp0=equal|camp0=regionid|value0=" + newValue + "|maxvalues=250|sortasc=description", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
					if(countriesOfRegion != "error")
					{
						$("#countryrc").dxTagBox("instance").option("dataSource", countriesOfRegion);
						$("#countryrc").dxTagBox("instance").reset();
					}

					var updateComputerId = executeCGI(computerid, "update|table=nlconfcamera|camp0=id|value0=2|camp1=value|value1=|camp2=computerid|value2=" + computerid + "|camp3=cameraid|value3=-1", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
					if(updateComputerId != "error")
					{
						DevExpress.ui.notify("Data saved", "success", 600);
					}
					
					var updateRegion =  executeCGI(computerid, "update|table=nlconfcamera|camp0=id|value0=1|camp1=value|value1=" + newValue + "|camp2=computerid|value2=1|camp3=cameraid|value3=-1", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
					if(updateRegion != "error")
					{
						DevExpress.ui.notify("Data saved", "success", 600);
					}
				}
			});

			varCountriesByRegion = executeCGI(computerid, "select|table=nlcountry|comp0=equal|camp0=regionid|value0=" + regiondefault + "|maxvalues=250|sortasc=description", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
			
			if(varCountriesByRegion != "error")
			{
				countriesdsrc = new DevExpress.data.DataSource(
				{
					store: varCountriesByRegion,
					key: "id",
				});
			}
			else
			{
				setTimeout(reloadpage, 1000);
				return;
			}

			$("#countryrc").dxTagBox(
			{
				dataSource: countriesdsrc,
				valueExpr: "id",
				searchEnabled: true,
				displayExpr: "description",
				onValueChanged: function(e)
				{
					var previousValue = e.previousValue;
					var newValue = e.value;
					var counts = "";
					$.each(newValue, function(i, item)
					{
						counts += item + ";";
					});
					counts = counts.substring(0, counts.length - 1);

					var updateCountry =  executeCGI(computerid, "update|table=nlconfcamera|camp0=id|value0=2|camp1=value|value1=" + counts + "|camp2=computerid|value2=" + computerid + "|camp3=cameraid|value3=-1", getStringNormalDate(new Date()), localStorage.getItem("TOKEN"), true);
					if(updateCountry != "error")
					{
						DevExpress.ui.notify("Data saved", "success", 600);
					}
				}
			});

			var poup = $("#popuprc").dxPopup(
			{
				showTitle: true,
				title: DevExpress.localization.formatMessage("Region/country selection"),
				visible: true,
				maxWidth: 600,
				maxHeight: 250,
				loseOnOutsideClick: true,
				onShown: function(e)
				{
					loadPanel.show();
				},
				onHidden: function(e)
				{
					// se envia restart por segunda vez					
					restartapp();
				},
				onHiding: function(e)
				{
					var countryvar = $("#countryrc").dxTagBox("instance").option("value");
					var regionvar = $("#regionrc").dxSelectBox("instance").option("value");
					if (countryvar.length == 0 || regionvar == null)
					{
						e.cancel = true;
						DevExpress.ui.notify("Please select a region and countries", "error", 600);
					}
				}
			});
			$(".dx-toolbar-after").hide();
			//buton
			$("#btsaverc").dxButton(
			{
				type: "success",
				text: DevExpress.localization.formatMessage("Save and close"),
				onClick: function()
				{
					$("#popuprc").dxPopup("hide");
					restartapp();
					reloadpage();
				}
			});
		}
		else
		{
			setTimeout(reloadpage, 5000);
			return;
		}
	}
}

function set_uppopup()
{
	// hacemos una llamada para coger camerahttpuser y camerahttppass .. si uno está vacío ponemos el popup userpass, si los valores no funcionan ponemos el popup userpass
	if (DEFINE_INTERFACE == "AXIS")
	{
		$.ajax(
		{
			dataType: "text",
			url: pathcgi + "cgi-bin/vparcgi.cgi?computerid=" + computerid + "&oper=checkuserpass&drc=" + getStringNormalDate(new Date()) + localStorage.getItem("TOKEN"),
			async: false,
			success: function(data)
			{
				if (!data.includes("result ok"))
				{
					dopopup_up();
				}
			},
			error: function(data)
			{
				setTimeout(reloadpage, 5000);
				return;
			}
		});
	}
}	

function sleep(ms) 
{
    return new Promise(resolve => setTimeout(resolve, ms));
}

function dopopup_up()
{
	$("#popupup").append("<div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("Camera Username") + ":</div><div class='dx-field-value'><div id='userup'></div></div></div><div class='dx-field'><div class='dx-field-label'>" + DevExpress.localization.formatMessage("Camera Password") + ":</div><div class='dx-field-value'><div id='passup'></div></div></div><div class='dx-field'><div class='dx-field-value'><div id='btsaveup'></div></div></div>");
	var user;
	var pass;
	$("#userup").dxTextBox(
	{
		onValueChanged: function(e)
		{
			var previousValue = e.previousValue;
			var newValue = e.value;
			var regex = /^[a-zA-Z0-9]+$/;
			if (!regex.test(newValue)) 
			{
				DevExpress.ui.notify("ERROR user cannot contain symbols", "error", 600);
			}
			else
			{
				var jqxhr = $.ajax(
				{
					url: pathcgi + "cgi-bin/vparcgi.cgi?computerid=" + computerid + "&oper=update&table=nlconfgeneral&camp0=id&value0=53&camp1=value&value1=" + newValue + "&camp2=computerid&value2=" + computerid + "&camp3=cameraid&value3=1" + "&d=" + getStringNormalDate(new Date()) + localStorage.getItem("TOKEN"),
					async: false,
					success: function(data)
					{
						DevExpress.ui.notify("Data saved", "success", 600);
					}
				});
			}
		}
	});
	$("#passup").dxTextBox(
	{
		mode: "password",
		onValueChanged: function(e)
		{
			var previousValue = e.previousValue;
			var newValue = encodeURIComponent(e.value);
			var jqxhr = $.ajax(
			{
				url: pathcgi + "cgi-bin/vparcgi.cgi?computerid=" + computerid + "&oper=update&table=nlconfgeneral&camp0=id&value0=54&camp1=value&value1=" + newValue + "&camp2=computerid&value2=" + computerid + "&camp3=cameraid&value3=1" + "&d=" + getStringNormalDate(new Date()) + localStorage.getItem("TOKEN"),
				async: false,
				success: function(data)
				{
					DevExpress.ui.notify("Data saved", "success", 600);
				}
			});
		}
	});
	var popup = $("#popupup").dxPopup(
	{
		showTitle: true,
		title: DevExpress.localization.formatMessage("Enter the username and password for the camera"),
		visible: true,
		maxWidth: 800,
		maxHeight: 250,
		loseOnOutsideClick: true,
		onHidden: function(e)
		{
			// se envia restart por segunda vez					
			//restartapp();
		},
		onHiding: function(e)
		{
			var uservar = $("#userup").dxTextBox("instance").option("value");
			var passvar = $("#passup").dxTextBox("instance").option("value");
			if (uservar == "" || passvar == "")
			{
				e.cancel = true;
				DevExpress.ui.notify(DevExpress.localization.formatMessage("Please enter the username and password for the camera"), "error", 600);
			}
			else 
			{
				//test the values with a CGI call
				$.ajax(
				{
					dataType: "text",
					url: pathcgi + "cgi-bin/vparcgi.cgi?computerid=" + computerid + "&oper=checkuserpass&drc=" + getStringNormalDate(new Date()) + localStorage.getItem("TOKEN"),
					async: false,
					success: function(data)
					{
						if (!data.includes("result ok"))
						{
							e.cancel = true;
							DevExpress.ui.notify(DevExpress.localization.formatMessage("Please enter the username and password for the camera"), "error", 600);
						}
					},
					error: function(data)
					{
						e.cancel = true;
						DevExpress.ui.notify(DevExpress.localization.formatMessage("Please enter the username and password for the camera"), "error", 600);
					}
				});
			}
		}
	});
	$(".dx-toolbar-after").hide();
	//buton
	$("#btsaveup").dxButton(
	{
		type: "success",
		text: DevExpress.localization.formatMessage("Save and close"),
		onClick: function()
		{
			$("#popupup").dxPopup("hide");
			restartapp();
			reloadpage();
		}
	});
}